#include <bits/stdc++.h>
using namespace std;

#define rep(i, a, b) for (int i = a; i < (b); ++i)
#define all(x) begin(x), end(x)
#define sz(x) (int) (x).size()
typedef long long ll;
typedef pair<int, int> pi;
typedef vector<int> vi;

int main() {
    cin.tie(0)->sync_with_stdio(0);
    cin.exceptions(cin.failbit);

    int t;
    cin >> t;
    while (t--) {
        int n;
        string s;
        cin >> n >> s;
        int cnt_w = 0, cnt_r = 0;
        for (int i = 0; i < n; i++) {
            if (s[i] == 'W') cnt_w++;
            else cnt_r++;
        }

        if (cnt_w % 2 == 1) {
            cout << "NO\n";
            continue;
        }

        vector <int> v1, v2, w, r;
        for (int i = 0; i < n; i++) {
            if (s[i] == 'W') w.push_back(i);
            else v1.push_back(i);
        }
        for (int i = n; i < 2 * n; i++) {
            if (s[i] == 'R') r.push_back(i);
            else v2.push_back(i);
        }

        int left = 0, right = (int)w.size() - 1;
        while (left < right) {
            v1.push_back(w[left++]);
            v2.push_back(w[right--]);
        }

        left = 0, right = (int)r.size() - 1;
        while (left < right) {
            v1.push_back(r[left++]);
            v2.push_back(r[right--]);
        }

        sort(all(v1));
        sort(all(v2));

        for (int i = 0; i < v1.size(); i++) {
            swap(s[v1[i]], s[v2[i]]);
        }

        bool good = true;
        for (int i = 0; i < n; i++) if (s[i] == 'R') good = false;
        cout << (good ? "YES\n" : "NO\n");
    }


    return 0;
}